Bug 63316 - apm -s doesn't always go into a suspend state
apm -s doesn't always go into a suspend state
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-12 11:29 EDT by Brian G. Anderson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2002-04-12 11:29:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
on my Dell Lattitude CPx with an Orinoco card (HERMES), when I issue a 'apm -s'
command, the machine will not always go into suspend mode.  The  screen will
blank as will the keyboard and mouse.  However, after about a minute the machine
resume.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.issue 'apm -s' while under X/KDE
2.
3.
	

Actual Results:  the screen blanks, and the machine stops accepting input, but
the machine is still running.  After about a minute the computer resumes.

Expected Results:  the system should shutdown into a suspend state.

Additional info:

I seem to have better luck with suspend if I issue a 'cardctl eject' first.  I
have been able to suspend without ejecting the card.  Now that I'm trying to
test it, I can get it to suspend every time(though the network doesn come up on
its own), but I am suspend after a relatively short time.  It seems to have
problems if the machine has been running for longer.

I do get the following messages in the log during the first suspend failure:

Apr 12 08:10:32 hampstead dhcpcd[3121]: terminating on signal 15
Apr 12 08:10:32 hampstead network: Shutting down interface eth0:  succeeded
Apr 12 08:10:32 hampstead network: Shutting down loopback interface:  succeeded
Apr 12 08:10:33 hampstead apmd[827]: User Suspend
Apr 12 08:10:33 hampstead cardmgr[772]: executing: './network suspend eth0'
Apr 12 01:11:36 hampstead cardmgr[772]: executing: './network resume eth0'
Apr 12 08:11:37 hampstead kernel: hermes @ 0x100: Card removed while waiting for
 command completion.
Apr 12 08:11:37 hampstead kernel: hermes @ 0x100: Card removed while waiting for
 command completion.
Apr 12 08:11:37 hampstead kernel: hermes @ 0x100: Card removed while issuing com
mand.
Apr 12 08:11:37 hampstead last message repeated 6 times
Apr 12 08:11:37 hampstead kernel: hermes @ 0x100: Card removed while waiting for
 command completion.
Apr 12 08:11:37 hampstead kernel: hermes @ 0x100: Frame allocation command faile
d (0xFFFFFFED).
Apr 12 08:11:37 hampstead dhcpcd[3550]: dhcpStart: ioctl SIOCSIFFLAGS: No such d
evice
Apr 12 08:11:37 hampstead netfs: Mounting other filesystems:  succeeded
Apr 12 08:11:38 hampstead netfs: Mounting other filesystems:  succeeded
Apr 12 08:11:38 hampstead apmd[827]: Normal Resume after 00:01:05 (100% 5:49) AC
 power
Apr 12 08:11:39 hampstead netfs: Mounting other filesystems:  succeeded
Apr 12 08:11:39 hampstead apmd[827]: Normal Resume after 00:01:06 (100% 5:49) AC
 power
Comment 1 Bernhard Rosenkraenzer 2002-04-12 11:40:51 EDT
Your BIOS is broken. 
Assigning to kernel so it can be blacklisted.
Comment 2 Bugzilla owner 2004-09-30 11:39:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.